Search the Community
Showing results for tags 'region'.
-
Hello, i have problem with creating region. In my case i try to create grid region i have 4 polygons and when i select all lines from 3 of them it work perfect but when i try in last polygon something go wrong. Upload file. Thank you and Happy Holidays. TRYYY_XX.dwg
-
Hi, I have some desk drawing and I would like to add some "snap point" at the corner of my desk surface's. As they are in region, when I try using some lisp create by people who select polyline, line and all sort of line it don't work. I have about 20 500 drawing to make.*** I don't want my dwg to be in block because for the next step it won't work. Here is my dwg in witch i would like to ad point. 3-ML20366620LHRPMPM.dwg Thx
-
this is probably super simple but can't find the answer: (setq apr (vlax-ename->vla-object (entlast)));#<VLA-OBJECT IAcadRegion 000002c2d9920cb8> (vla-put-Normal apr '(0.0 0.0 1.0)); error: ActiveX Server returned an error: Type mismatch (vla-Update apr)
-
Update to "Convert Wipeout to Polyline Region"?
lutzow10 posted a topic in AutoLISP, Visual LISP & DCL
(Here is a link to the original post I am referencing) Hi Guys, I found this awesome lisp by Renderman/Black Box and I have run it a few times and it worked great those times. Then I tried to run it to convert maybe 20 wipeouts at once and a bunch of them disappeared. I would really like to be able to use this one time once I finish drawing all the wipeouts and not after everyone, but I also don't want to risk some failing to convert and having to redraw a bunch of them. Does anyone see anything that would cause these errors? ;;;--------------------------------------------------------------------; ;;; c:WIPEOUT->REGION ;;; Courtesy of RenderMan, CADTutor.net ;;;--------------------------------------------------------------------; ;;; Description: ;;; Convert all wipeouts within a given drawing to regions. ;;;--------------------------------------------------------------------; ;;; Exit function: (defun WIPEOUT->REGION:Exit (msg) (cond ((not msg)) ; Normal exit ((member msg '("Function cancelled" "quit / exit abort"))) ; <esc> or (quit) ((princ (strcat "\n <!> Error: " msg " <!> ")))) ; Fatal error, display it (WIPEOUT->REGION:Quit)) ;;;--------------------------------------------------------------------; ;;; Quit function: (defun WIPEOUT->REGION:Quit () (setvar 'cmdecho *oldCmdecho*) (setq *oldCmdecho* nil) (setq *error* *oldError* *oldError* nil) (vla-endundomark *activeDoc*) (princ)) ;;;--------------------------------------------------------------------; ;;; Main function: (defun c:WIPEOUT->REGION (/ ss) (vl-load-com) (vla-startundomark (cond (*activeDoc*) ((setq *activeDoc* (vla-get-activedocument (vlax-get-acad-object)))))) ;; Error checking (setq *oldError* *error* *error* WIPEOUT->REGION:Exit) (setq *oldCmdecho* (getvar 'cmdecho)) (setvar 'cmdecho 0) ;; Main code (if (and (setq ss (ssget "_x" '((0 . "WIPEOUT")))) (setq ss (ssget "_x"))) ((lambda (i / e v visList wipList mn mx c) (while (setq e (ssname ss (setq i (1+ i)))) (if (/= "WIPEOUT" (strcase (cdr (assoc 0 (entget e))))) (progn (vla-put-visible (setq v (vlax-ename->vla-object e)) :vlax-false) (setq visList (cons v visList))) (setq wipList (cons e wipList)))) (foreach w wipList (vla-getboundingbox (setq v (vlax-ename->vla-object w)) 'mn 'mx) (setq c (mapcar '* (mapcar '+ (setq mn (vlax-safearray->list mn)) (setq mx (vlax-safearray->list mx))) '(0.5 0.5 0.5))) (vl-cmdf "._boundary" c "") (vl-cmdf "._matchprop" w (entlast) "") (vl-cmdf "._region" "") (vla-delete v)) (foreach o visList (vla-put-visible o :vlax-true))) -1) (prompt "\n <!> No Wipeouts Detected in Currect Drawing <!> ")) (WIPEOUT->REGION:Quit)) -
Lee helped me out a while ago, Thanks Lee. now I find myself pushing further how do I modify or add to his code "ObjectDBXWrapper" to select sub directories?
-
Hi, everybody I just want to ask how to make my drawing as region that cover the close area. When i select the circle object and tooth object, it not become a region . I already connect all the line but its not working.Hope that everybody in here can help. 9_8 autocad kecikkkan tooth.dwg
- 14 replies
-
- problem
- connections
-
(and 2 more)
Tagged with:
-
Convert Wipeout to Polyline Region
LSTLS posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Hello! Not new to Autocad but new to Cadtutor....I have receive a drawing choc full of wipeouts (arg!). What's worse is the wipeout frames are acting as necessary linework so I cannot just delete them through Qselect. Is there a way to convert wipeouts to polyline regions? They are on many different layers with differing linetypes so I want to retain all those characteristics. Thanks!